Welcome

PCTweaker Help

Welcome to the PCTweaker Guide!

The PCTweaker(PCT) software was developed especially for delicate tweaking of the PC performance.
Optimizing some hidden (or not easily accessible in practice) Widows settings, this tool will help your computer make its work more productive and your work with computer more comfortable.
Every person: as beginner in the computer theme as well as advanced user is able to find most applicable mode of the PCT operation: from automatic mode up to manual edition of the system parameters.
Every new step (change) which been made by mistake can be rolled back to previous setting.
Every new successful change can be stored in user's profile for restoring in a future.

Read also: Using PC Tweaker

PCTweaker ©2004 Moveax


About PCTweaker

Welcome to the PCTweaker Guide!

The PCTweaker(PCT) software was developed especially for delicate tweaking of the PC performance.
Optimizing some hidden (or not easily accessible in practice) Widows settings, this tool will help your computer make its work more productive and your work with computer more comfortable.
Every person: as beginner in the computer theme as well as advanced user is able to find most applicable mode of the PCT operation: from automatic mode up to manual edition of the system parameters.
Every new step (change) which been made by mistake can be rolled back to previous setting.
Every new successful change can be stored in user's profile for restoring in a future.

Please read instruction "How to start working" in order to easy and quickly become expert in this software.


Minimum requirements

The PCTweaker requires:

  • Windows 98®;
  • Windows Me®;
  • Windows 2000®;
  • Windows XP®.
  • Internet Explorer 5.0 or higher.

The Microsoft® is trade mark of the Microsoft® Corp. All rights to the products mentioned above pertain to Microsoft®.


License Agreement

IMPORTANT - READ BEFORE COPYING, INSTALLING OR USING.

Do not use or load this software and any associated materials (collectively, the "Software") until you have carefully read the following terms and conditions. By loading or using the Software, you agree to the terms of this Agreement. If you do not wish to so agree, do not install or use the Software.

  • The Software unregistered version may be freely distributed, provided the distribution package is not modified. No person or company may charge a fee for the distribution of the Software without written permission from the copyright holder.
  • The Software is distributed "AS IS". No warranty of any kind is expressed or implied. You use at your own risk. The author will not be liable for data loss, damages loss of profits or any other kind of loss while using or misusing this software.
  • You may not copy, modify, rent, sell, distribute or transfer any part of the Software except as provided in this Agreement, and you agree to prevent unauthorized copying of the Software.
  • You may not reverse engineer, decompile, or disassemble the Software.
  • You may not sublicense or permit simultaneous use of the Software by more than one user.
  • Any unauthorized use shall result in immediate and automatic termination of this license.
  • The Software may contain the software or other property of third party suppliers, some of which may be identified in, and licensed in accordance with, any enclosed "license.txt" file or other text or file.


Using PCTWeaker

Using PCT (PCTweaker)

Please read attentevely this small instruction in order to quickly and easy become an expert in this software.
  • Running this software for the first time it is recommended to read chapter How to start working
    This chapter describes common operations with the main module (menus, icons, tray)
  • Detailed information about included modules please see in the chapter Modules


How to start working

Probably you have started the PCTweaker(PCT) for the first time?
Well. That means you are seeing the Splash Screen now.
This screen is just a signal that this software is under trial (familiarization) period.

You may know much more about the Splash Screen from chapter Acquaintance with the PCT interface, but now we needn't to concentrate your attention on this. Press button "Continue" - and, you are in the Main Screen!
If you use Net Edition of PCT you will see the Internet Connection screen.
This tool allows optimize Internet connection for different types of Network: Dial-Up, DSL, T1 or Cable network.

Take a look at the picture:

There are 3 main zones on the Main Screen:
  1. Menu and Toolbar on the top of the window;
  2. Tasks List on the left;
  3. Current Task Area

Menu and Toolbar area (1) consists common menu items and icons which are relevant to all tasks.
The File Menu allows to open additional modules or close the PCT;
The Tasks Menu will help you navigate within tasks (more detailed description of this menu and all its subitems see below)
And the Help menu opens this help file, consists links to Web resources, where you can get additional info and request form, where you can write message directly to PCT technical support service.
Buttons placed on the ToolBar are quick access to the most important menu items. So, you may execute the same operation using either ToolBar icons or Menu Items.

Task List (2) consists currently loaded modules. Every module consists header (name of the module) and task list the module provides.

Current Task Area (3) is an area where main settings controls are located. Every task provides its own task area.
Generally, this are consists buttons Reset and Apply. Purposes of these buttons are described in the next paragraph.

General Provisions

Tip: It is recommended to store your settings
before any changes. It allows easilly rollback
any wrong changes.

Select in the Task List the task you want to execute.
In the right-hand area an appropriate dialog will appear.
We will consider this task as Active Task
Generally, the Task Dialog consists buttons Apply and Reset
the Apply button applies the changes (if these changes have been made in the dialog);
the Reset button loads current settings into the dialog window.
Tip: If you've made something wrong
and can not remember previous settings
use the Reset button to rollback
to the previous settings

Note: These Apply and Reset buttons are
applicable to the current task only
(another words, for dialog where they are located)

These dialogs may consist additional buttons. Purpose of these buttons will be explained in the appropriate topic.

If you want to know more, or can not remember function of any button, checkbox or something else, please refer to Acquaintance with the PCT interface topic.

Finishing the work

If you have finished your work but not applied the changes yet, the PCT will remind about this. You may agree or decline all changes you have made in this session.
  • the Yes button: apply all changes;
  • the No button: decline all changes;
  • the Cancel button: return to the PCT and show first dialog where are unsaved changes

You may Tasks Menu to easy navigate from these tasks:

  • the "Show next changed" menu will help you easy come back to dialog where you have added changes;
  • the "Apply all" menu - applies all changes, you have made in any dialog(s);
  • the "Undo all changes" menu - declines all changes (if they wasn't applied in the appropriated dialog(s)).


Acquaintance With Interface

Acquaintance with the PCT interface

Splash Screen:

When you using unregistered PCTweaker version, this splashscreen will appear every time when you starting this software.
Below the small description of the buttons you will see on the Splash Screen
Forum Button Homepage Button Registration Button Enter code Button Continue Button Close Button
  1. Forum Button: sends command to your browser to open the PCTweaker user's forum page.
    This is a public message board where you can ask our support staff or another PCTweaker users about any PCTweaker related problems and read another questions and answers.
  2. Homepage Button: this button opens your browser with already entered PCTweaker homepage address.
    Use this button in order to check for updates of the PCTweaker utility, latest news or bugfixes.
  3. Registration Button: this button opens your browser with registration form. You can select a currency you want to pay or language of this page. Simple wizard will help you send your registration request within a few minutes.
  4. Enter code Button: this button opens dialog (see picture)

    Where you can write your registration info, received from our technical support dept.
    We will send this information after processing your registration request (see Registration Button description).
  5. Continue Button: this button closes the Splash Screen and opens PCTweaker utility.
    If you do not see the button on the splash screen it means the PCTweaker trial period is gone and all functions are disabled.
  6. Close Button: this button closes the Splash Screen AND PCTweaker utility.

Main Screen:

There are 3 main zones on the Main Screen:
  1. Menu and Toolbar on the top of the window;
  2. Tasks List on the left;
  3. Current Task Area

Menu and Toolbar area (1) consists common menu items and icons which are relevant to all tasks.
The File Menu allows to open additional modules or close the PCT;
The Tasks Menu will help you navigate within tasks (more detailed description of this menu and all its subitems see below)
And the Help menu opens this help file, consists links to Web resources, where you can get additional info and request form, where you can write message directly to PCT technical support service (see picture).

Buttons placed on the ToolBar are quick access to the most important menu items. So, you may execute the same operation using either ToolBar icons or Menu Items.

Task List (2) consists currently loaded modules. Every module consists header (name of the module) and task list the module provides.

Current Task Area (3) is an area where main settings controls are located. Every task provides its own task area.
Generally, this are consists buttons Reset and Apply. Purposes of these buttons are described in the next paragraph.

The PCTweaker is multimodule utility. All information about included modules please see chapter Modules
You may Tasks Menu to easy navigate from these tasks:

  • the "Show next changed" menu will help you easy come back to dialog where you have added changes;
  • the "Apply all" menu - applies all changes, you have made in any dialog(s);
  • the "Undo all changes" menu - declines all changes (if they wasn't applied in the appropriated dialog(s)).

See also: Modules


Modules

Currently available modules:

Currently the PCTweaker consists the next module(s):
  1. Internet & Network module
  2. Memory Optimization Module

    3. PCTweaker ©2004 Moveax


Modules

Internet & Network module:

The Internet & Network module is designed to culminate the best perfomances of the Internet Connection.
You already know that there are many settings in the OS which control your Internet Connection Perfomance. Unfortunately, these settings are not easily customizable and the OS developers has set these settings to an average values that applicable to majority of Internet Providers (ISPs). But it is not a fact that these settings are set exactly to your provider requirements and to type of your connection to provider's equipment. The Internet & Network module makes up the deficiency of the customizable options.

The Internet & Network module consists the next tasks:

  1. Internet Connection - to set up your Internet Settings;
  2. Network Statistic - to monitor the statistic of your connection, including ingoing/outgoing traffic;
  3. Internet Explorer Settings - to customize your Internet Explorer (4.0 and higher) in order to increase a quality of your ingoing traffic (it is not a secret, that web designers use complicated tricks to keep your attention on theirs sites: many graphic, scripts, etc. Another words, you pay 80% of your traffic for 20% of the information);
  4. Ping Center - to avoid the disconnection from your provider (many providers use automatical disconnection from theirs services after some period of inactivity) and testing the server you want for network response.


Internet And Network Module

Internet Connection

This tool allows optimize Internet connection for different types of Network: Dial-Up, DSL, T1 or Cable network. For every connection type there is predifined optimal settings, but there is a big field to precision tuning of these parameters.
The PCTweaker utility does this work automatically and under your full control.

ISP homepage

Because of most of the optimal settings depends on the settings that use your Internet Provider (ISP) instruct the utility what address it must use to optimize your Internet settings.
Type in the field your ISP home page address and press the Find button.
The PCTweaker will try to establish connection with your ISP and tune up the MTU settings.
Please note: It is recommended to start tuning from the highest value (1500). If your initial value is less than 1500 type this value into MTU field (as shown on the screenshot), press Apply button and restart your computer.
After this start this utility again and start searching for the best value.

Smart Search

In the most cases overwhelming majority of the Internet Service Providers use standard values of the MTU. But, there are providers who use nonstandard values (due to some theirs reasons). In this case the Smart Search option is quite essential:
On the first step the Smart Search tries to improve the connection quality using standard values. Than, it will try to tune up the MTU using small steps to backward and forward while the optimal settings will be reached.
This option is recommended to use in order to tweak your Internet Connection setting exactly as your ISP requires.

MTU autodiscovery

Enabling this setting causes TCP to attempt to discover the Maximum Transmission Unit (MTU or largest packet size) over the path to a remote host. Knowing the Path MTU and limiting the TCP segments to this specific size, the TCP protocol is supposed to be able to eliminate fragmentation of the packets at routers on the communication path that connects networks with different MTUs. In order for this to happen, the server side algorithm implementation has to be known, and also assumes all of the servers on the entire network only run MSFT server software with server- side optimization features accessible from MSFT web-browser client software. However; this is very unlikely. Accordingly; it is not recommended to disable this setting as it would then cause an MTU of 576 bytes to be used for all connections that are not to computers on the local subnet. Therefore; disabling this setting can cause severe performance degradation because fragmentation may not be compensated for.

MTU (Maximum Transmission Unit)

This is the default packet size that Windows uses to negotiate with. When a connection is opened between two computers, they must agree on an MTU. This is done by comparing MTUs and selecting the smaller of the two. If the MTU is set too large for routers that are between the computers, these routers then fragment this information into a packet size that the router can handle. This fragmentation can double the amount of time it takes to send a single packet. Windows has a built-in MTU Discovery that will adjust for this by sending out a packet that is marked as "Not Fragmentable". Then the router sends back an error to the computer saying that the packet was too large, and Windows then lowers the MTU until there are no more errors. If your ISP uses an MTU of 576, then every time you start a connection, Windows must adjust down to this value. Even though Windows automatically adjusts the packet size, it still takes it time to negotiate an acceptable MTU. By setting this value manually, you greatly reduce the amount of work that Windows must do to negotiate.
NOTE: Negotiation always adjusts downwards the value you have set, never upwards. Windows Default is 1500.

RWIN (Receive Window)

The TCP Receive Window size is the amount of receive data (in bytes) that can be buffered at one time on a connection. The sending host can send only that amount of data before waiting for an acknowledgment and window update from the receiving host. Matching the receive window to even increments of the MSS increases the percentage of full-sized TCP segments utilized during bulk data transmission. MSS is the MaxMTU - 40 bytes for TCP and IP headers. The RWIN default is 8192 bytes rounded up to the nearest MSS increment for the connection. If that isn't at least 4 times the MSS, then it's adjusted to 4 * MSS, with a maximum size of 64K. With the Windows 95 default MaxMTU of 1500, the default RWIN is rounded up to 8760 (1460 * 6). You can greatly improve performance by setting this to a lower value such as 4 times your MSS (MTU-40). The idea is to bring it to a value below 8192. Many people have better success with 6, 8 or even 10* MSS. In some cases, however, manually setting RWIN may decrease performance because it takes the control away from windows, and if the MTU is negotiated to a different value, then the size of the RWIN is no longer an whole integer multiple. For this to be effective you must make sure your MTU is set where it will not be negotiated to a lower value.

TTL (Time To Live)

Specifies the default time to live (TTL) for IP packets from Microsoft TCP/IP. It is a field in the Internet Protocol header which indicates how many more hops this packet should be allowed to make before being discarded or returned. This time specifies the maximum number of routers that the packet may be forwarded through on to its destination. That means the maximum number of hops permitted. For example Windows 95 default is 32. However, with our internet today this number should be larger say 128.

Keep Alive

You specifies how often to send session keep alive packets on active sessions. When downloading, this will keep your connection that has stalled from timing out. Windows default value is 60 minutes, but it is very high value - much faster restart downloading again. So, you can set this value to 10 min (60000 msec) or even less, but don't set to very small value - otherwize you will get error that data unreacheble even if these data presented and valid, but your packets goes to the remote server through a very slow channels.

RFC1323

According the RFC 1323 rules the packet header may consist timestamp when the packet was sent. This allows turn on the automatical RWIN tuning (window scaling). From other hand, this option increases the packet size and may decrease final speed. Try to turn on and turn off this option. Watch the result and leave the best value.

Selective Acknowledgement

This option allows to send receiving confirmations just for some selected packets. Otherwize all packets must be confirmed that may increase traffic.

Blackhole Detect

This specifies whether the stack will be able to detect Maximum Transmission Unit (MTU) routers that do not send back ICMP (Internet Message Protocol) fragmentation-needed messages. With this feature enabled, TCP will try to send segments without the Don’t Fragment bit set if several re-transmissions of a segment go unacknowledged. If the segment is acknowledged as a result, the MTU will be decreased and the Don’t Fragment bit will be set in future packets on the connection.
PMTU Black Hole Detect is disabled by default.
Enabling black hole detection increases the maximum number of re-transmissions performed for a given segment. Setting this parameter when it is not needed can cause performance degradation. However; if the router is not sending back the ICMP messages, then PMTU Discovery will not work. This can cause even greater performance degradation.

HTTP 1.0 connections and HTTP 1.1 connections

This option is used in order to increase the number of simultaneous downloads from the same web site. For example windows limits connections to a single HTTP 1.0 server to four simultaneous connections. In addition connections to a single HTTP 1.1 server will be limited to two connections.

Load Button

This button allows to read your settings for another connection type (if you stored these settings before) This is very useful option, because of optimal settings say, for Dial-Up networking are not optimal for LAN cable network, and vice versa. Some people use different ISPs (Internet Solution Providers) and best settings for one is not optimal for another.
But you may store optimal settings for both providers separately and restore these settings when you want connect through another provider. To restore your settings use drop-down list and select type of connection or your custom settings from the list.

Optimize On Load flag

This flag forces to load your last optimized settings during the PCTweaker startup.

Save Button

Using this button you can store optimal settings for predifined connection types (from the Drop-down list) or set your own name for these settings (e.g. "MyISP 1", "MyISP 2" or "My Custom Settings"). When the PCTweaker will be started next time, you will see these names in the Drop-down list.

Delete Button

Using this button you can delete unnecessary names from the drop-down list.

Reset Button

Using this button you can cancel new settings (if you make an error) and rollback to the last optimal settings you made before.

Apply Button

This button fixs your changes and stores it into the System Registry. Next time when you restarted computer these settings will join into force.


Network Statistic

This task shows current network statistic.

Network Activity Chart Current Session Statistic Adapters Information Network Information

Network Activity

When you are in online mode this chart shows your ingoing traffic (blue) and outgoing traffic (red) The height of the blue and red charts shows current speed of the connection (in Kb/sec units). You can estimate the connection quality using the height and infilling of the charts.
From the right hand of the chart you can see numeric values of the current upload and download statistic:
Most top values ("Current session statistic") show total bytes that was sent and received during the current session.
The checkbox "Keep after disconnect" allows to store the current statistic and use one during the next session. In this case the summary of the sent and received bytes will be continued in the next session.
The Receive and Send values are the numeric values of the blue and red charts from the left.

Adapters information

Shows network adapters installed in your system and detailed information about these adapters.

Network Information

Shows information about your current network parameters (DNS servers, IP address assigned by ISP, usage (o not) Proxy servers etc.)


Internet Explorer settings

Allows to set Microsoft® Internet Explorer® settings.
Some of these settings allow to decrease ingoing traffic, disabling downloading of non-informative parts of the Web sites, another settings allow to customize IE interface and perfomance options.

Multimedia

Allows to decrease download traffic disabling non-informative parts of the visited web page.
  • Show pictures - allows to forbid downloading of the pictures. Some sites are overloaded by the graphic elements. Usually these elements are decorative and do not carry useful information. If you visit the page for information only, disabling this option may economize up to 99% of the ingoing traffic.
  • Show download placeholder - emphasizes download links even if they are incorrectly emphasised by designer.
  • Play Animation - allows to economize ingoing traffic downloading only the first frame of the animation.
  • Play Video - enables or disables downloading of the video stream to your machine. This can essentially decrease the ingoing traffic.
  • Play Sound - enables or disables downloading of the sound files. Usually these files are not so large so video files, but if you've visited the site not for hearing a music why not to economize the traffic for more useful purpose?

Install and Updates

You can enable or disable such Internet Exploer options as automatic installs and updates. If these options are enabled the Internet Exploer will try to download and install latest updates. Otherwize, you can visit the Microsoft download site when you feel it necessary. Disabling the option Install on demand you can forbid downloading components which are not currently installed in your system but which are required to correct showing of the current web page. For example, when you visit site which is written with Chinese charset the Internet Explorer will offer to download and install the Chinese font.

Cache

  • Enable IE cache - enables using of the Internet Explorer cache. The Microsoft Internet Explorer uses the cache to restore information that have not been changed since the last visit. This allows to open the page much faster, because it is not required to download old information once again.
  • Cache expire period (sec) - it means how long the information which is in the IE cache will be availabled for usage. The value 86400 sec. means that cache will be leave 24 hours. Tomorrow the stored information will be outdated and when you visit the page again all of the information will be downloaded again.

Window & Desktop

  • Allows to hide desktop icons (when the desktop is used to show web pages. See Active Desktop topic of the Windows help);
  • Allows to set Internet Explorer background picture;
  • Allows to set Internet Explorer window caption (for IE6.0+)

Security Settings

This group of checkboxes is assigned to hidding some important tabs and menus which you want to make inaccessible for your childrens or anyone else.
First (most top) group allows to hide a tabs from IE security settings: enable the checkboxes you want to hide from standard IE and noone may take a control under these settings.
Next group consists options you can use to forbid file downloading, opening the IE context menu or disabling 'Favorites' menu.


Ping Center

Most of the Internet Service Providers use automatical disconnection from theirs services after prescribed time period of user's inactivity. This releases the provider's resources, but may complicate your Internet surfing. Use the Ping Center task in order to avoid this nuisance.

As you see, there are two sections on the window: Ping and Autoping section.
The Ping section is assigned for one-time ping test:
You can manually ping any server you want, typing the server address in the top field 'Server'.
You will see real-time result in the field below the 'Server' field.

Other section (Autoping) is assigned for periodical testing the server, you have typed in the 'Server' field. The options of the Autoping feature are described below:
  • Server - type here your ISP homepage. The PCTweaker utility will try to establish ping to this address and thereby will keep up the connection with your Internet Service Provider in order to avoid inactivity status.
  • Run every - this interval should be less than period that your provider uses to detect inactivity status. Usually providers use 15-20 minutes period. Thus, the 10 min. interval will be enough to keep the connection alive all the time you connected to the Internet.
To start ping just press Start button. PC Tweaker will automatically ping selected server and output result to you.

Also, there are settings on this task.
  • Check for Internet connection before ping - this option forces to check connection status prior the pinging. Otherwise you can see the prompt to establish network connection when you are in offline mode.
  • Start Autoping with PC Tweaker - run autoping for selected server when PC Tweaker starts.


Modules

Memory Optimization Module:

The Memory Optimization Module allows to view dinamically current memory statistic (how many memory currenly in use, how many free, how many memory is swapped) and allows to free up (recover) defragmented memory for usage by applications. The Recovery settings panel allows to tune up the optimization settings as for beginners as for advanced users.

The Memory Optimization Module consists the next tasks:

  1. Memory Status - to view dynamically current memory statistic;
  2. Recovery Settings - consists a set of parameters that will help you to customize the memory optimization as you want: from light optimization (defragmented memory only and only when the system allows to share some CPU time for background tasks), up to hardcore cleaning, when the every unfettered byte have an inestimable cost.
  3. Create Optimized Shortcuts - This task optimizes loading an applications, preparing optimized memory for starting the applications.


Memory Status Tool

Memory Status

Allows to view dynamically the current memory statistic, set up a refresh rate of the diagram and recovery the memory manually.

Memory state diagram:

Shows in real-time an information about the memory status:
  • How many free memory (blue color);
  • How many memory is used by applications (red line);
  • How many memory currently swapped on the hard disk (green). Some memory pages the Windows allocates in the "virtual" memory that phisically located on the HDD. But applications are not obligated to know that they use "slow" memory instead of fast real RAM and the average system perfomance may be dramatically decreased. So, it is very useful to swap on the disk the only memory that used by inactive application(s), in other words, applications that not very frequently request the system for large memory allocation.
You can set up the refresh rate of the diagram or try to recovery memory manually using the button [Recover now]. These controls are located on the right-hand from the diagram, together with the diagram legend (what color means what).

Recovery log:

Shows when and how many memory was released. Columns [Reason] and [Result] show the reason why the memory have been optimized and result that have been reached.
    There are three reasons:
  • Auto - the utility started recovery automatically, using user's settings;
  • Manual - the recovering started manually;
  • Shortcut - the recovering process had been initialized by means of pressing the optimized shortcut.
You can compare free memory before the procedure and after. These values are shown in the next columns. You can view an absolute data before and after as well as proportion that shows value of unfettered memory relatively to full memory amount.


Recovery Settings Tool

Recovery Settings

Consists a set of parameters that will help you to customize the memory optimization by the best way:

Start with Windows

Instructs the system load this utility during startup.
Note that system will load only optimization module (not full the PC Tweaker) This allows to economize amount of used memory. You will see that it works seeing the tray icon (near the system clock)

Hotkey

This option allows to use customized hotkey to start the optimization process using Alt + Ctrl + key by your choice.

Thread Priority

You can set the Thread Priority for this utility. The Real-Time is a highest priority and Idle is a lowest priority. The highest priority forces Windows to focus resources and CPU time for the process. It means that another processes that was started with normal priority will "wait" or run much slower while the application with a higher priority does its work. This is good thing in an only few cases, when an application executes very time- or memory-critical operation and must be sure that another application will be unable to interfere with this one. We don't suggest to use this priority level because during the memory optimization process this tool may become not helper but abuse. We recommend to use Idle priority level to release almost all resources for executing another processes that currently work. In this case the system will give more CPU to the Memory Optimizer only when there is no another work.

Show in tray

This drop-doun list allows to select how the application will be shown in the system tray (near the system clock).

Clear Clipboard on recovery

This option forces the application to cleanup Windows Clipboard during the optimization and, save some additional bytes, kilobytes or even megabytes of the memory.

Smart Recovery settings:

These settings (if enabled) waiting for the moment when free memory is decreased to the value you set in the 'Minimum physical memory' edit box. When this value will be reached the memory optimizer will start recovering process automatically. But ONLY in the case when CPU loading is below than the value you set in the 'CPU usage must be below' option.

The Reset button returns the settings to default and Apply stores new one.

When the Memory Optimizer have a minimized state you will see the icon in the system tray that allows to perform some actions using right mouse click on this icon.
  • Optimize:
    Start the optimization process manually;
  • Clear Clipboard:
    Releases memory that used to store clicpboard data;
  • Open PC Tweaker:
    Opens the main PC Tweaker window;
  • Close menu:
    Simply closes the menu;
  • Exit MemoryOptimizer:
    Unloads this tool from the memory.


Create optimized shortcut

Create optimized shortcuts

This task allows to launch applications "under steroids": the Memory Optimizer takes a control under the memory allocation of these application: knowing how many memory requires this or that application the Memory Optimizer will try to release enough amount of memory prior the launching the processes. As a result, the system will reallocate memory from the HDD to the RAM and back to the HDD (yes, this is common practice!) much rarely than ususally. You will see that a large application becomes faster (at least an initialization process).

You can specify additional parameters for launching the applications (if they require any additional parameters) or simply drag & drop the executable file from the Windows Explorer window to the Memory Optimizer window.

Select executable:

You can type in or select from the standard Open dialog an executable file you want to make faster.

Note: you can use standard Shell menu to create
optimized shortcut. This will be explained below.

This information is necessary and enough to start the optimized shortcuts, but if you have some experience and/or knowledges how processes in Windows work you can use special settings that provided in this task (see below):

Application parameters:

You can specify additional parameters for launching the applications (if they require any additional parameters) or simply drag & drop the executable file from the Windows Explorer window to the Memory Optimizer window.

Select working folder:

Some applications require to specify a folder name where this application can store temporary files or load an additional files. You can use standard "Browse for folder" dialog
This is optional parameter. If ommited, the application will use the PC Tweaker working directory as default directory.

Enter shortcut name:

You can specify friendly name of the shortcut using this editbox.

Choose shortcut place:

Default value is "In the same folder", but you can choose another directory to store optimized shortcut.

Shell Extension:

Another way to create shortcut is right-click context menu of the Windows Explorer:

Select an executable file you want to optimize and click the right mouse button over the file. In the standard shell context menu select an item "Create an optimized Shortcut". This menu item will pass the selected file name(s) into the Memory Optimizer.


Technical Support

Technical Support:

CONTACTS:
Homepage | http://www.moveax.com/
Support email | pctweaker@moveax.com
Online forum | http://forum.moveax.com/